Bug 480179 - headers are converted to lowercase, but not capitalized
headers are converted to lowercase, but not capitalized
Product: Fedora
Classification: Fedora
Component: python-webob (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Ricky Zhou
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-01-15 11:15 EST by Jeroen van Meeuwen
Modified: 2009-11-18 06:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-11-18 06:05:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeroen van Meeuwen 2009-01-15 11:15:50 EST
Description of problem:

This basically is a cosmetic patch, and not python-webob's problem per-se:

download.fedoraproject.org/pub/fedora/linux/* redirects the client to a local mirror, but does so using a lowercase 302 "Location" header.

anaconda however searches for a capitalized, case-sensitive, "Location" header. Applying the attached patch would (cosmetically) make the headers python-webob spits out capitalized instead of all lower-case.

Note that the RFC does not prescribe the use of either lowercase, capitalized or uppercase HTTP header keywords.

Version-Release number of selected component (if applicable):


How reproducible:

Attempt to use Fedora 9's or Fedora 10's boot.iso and use method=http://download.fedoraproject.org/pub/fedora/linux/releases/$releasever/Fedora/$arch/os/

Redirection will fail because a number of reasons, amongst which is the location header being lowercase:

curl -v http://download.fedoraproject.org/pub/fedora/linux/releases/

will show.
Comment 1 Ricky Zhou 2009-01-26 12:01:40 EST
Sorry for the late reply - I totally missed this bug in my email.  

I recall that anaconda was patched to do a case-insensitive comparison on HTTP headers, so that part is fixed now, right?

If you want to submit a patch to change this, we can try submitting your patch (did you forget to attach it?) at their trac: http://trac.pythonpaste.org/pythonpaste/

I think it might add a bit more complexity than necessary, though, since you'd want it to deal with cases like User-Agent vs. User-agent and since lowercase headers are still perfectly conformant.
Comment 2 Ricky Zhou 2009-07-17 08:11:03 EDT
Hi, is this still an issue that we should pursue upstream now that the anaconda bug has been fixed?  If not, feel free to close this bug out.
Comment 3 Bug Zapper 2009-11-18 05:45:46 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 

Note You need to log in before you can comment on or make changes to this bug.